package com.shanghaichengdi.downloadcenterserver.faced;

import com.shanghaichengdi.downloadcentercommon.util.ImageDownload;
import java.io.File;
import java.io.IOException;
import java.net.URL;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.List;
import lombok.extern.slf4j.Slf4j;

/**
 * @author gengaoliu
 */
@Slf4j
public class PicDownloadFaced extends Thread {
  private List<String> imageUrls;
  private String passTime;

  public PicDownloadFaced(List<String> imageUrls, String passTime) {
    this.imageUrls = imageUrls;
    this.passTime = passTime;
  }

  @Override
  public void run() {
    String time = passTime;
    Date times = null;
    try {
      SimpleDateFormat formatter = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
      times =
          formatter.parse(time);
    } catch (ParseException e) {
      e.printStackTrace();
    }
    SimpleDateFormat formatter = new SimpleDateFormat("yyyy_MM_dd_HH_mm_ss");
    SimpleDateFormat formatter1 = new SimpleDateFormat("yyyyMMdd_HHmmss");
    String dir = formatter.format(times);
    String newTime = formatter1.format(times);
    String year = dir.split("\\_")[0];
    String month = dir.split("\\_")[1];
    String day = dir.split("\\_")[2];
    String hour = dir.split("\\_")[3];
    String dirs = year + "/" + year + month + day + "/" + hour;
    int i = 0;
    File photoDir = new File("/shipAnalysis/HDImages" + dirs);
    photoDir.mkdirs();
    for (String imageUrl : imageUrls) {
      boolean isSuccess = false;
      URL url = null;
      try {
        String photoFile = "/Users/gengaoliu/" + dirs + "/" + "P" + i + "_" + newTime + ".jpg";
        while (!isSuccess) {
          try {
            isSuccess = ImageDownload.download(imageUrl, photoFile);
          } catch (Exception e) {
            log.error(e.getMessage());
            e.printStackTrace();
          }
        }
        i++;
      } catch (Exception e) {
        log.error(e.getMessage());
        e.printStackTrace();
      }
    }
  }
}
